Skip to main content
GET
/
api2
/
v4
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
qualityAssurances
/
settings
Get QA settings for job part
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v4/projects/{projectUid}/jobs/{jobUid}/qualityAssurances/settings \
  --header 'Authorization: <api-key>'
{
  "enabledChecks": [
    {
      "checkerType": "<string>",
      "context": {
        "customQaDisplayName": "<string>",
        "moraviaProfileId": "<string>",
        "provider": "<string>"
      }
    }
  ],
  "excludeLockedSegments": true,
  "forbiddenStrings": [
    "<string>"
  ],
  "regexpRules": [
    {
      "description": "<string>",
      "id": "<string>",
      "ignorable": true,
      "instant": true,
      "sourceRegexp": "<string>",
      "targetRegexp": "<string>"
    }
  ],
  "strictJobStatus": true,
  "userCanSetInstantQA": true
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

UID of the project

jobUid
string
required

UID of the job

Response

OK

enabledChecks
object[]

Enabled QA checks with their configuration

excludeLockedSegments
boolean

When true, locked segments are excluded from QA

forbiddenStrings
string[]

List of forbidden strings checked during QA

regexpRules
object[]

Regexp-based QA rules configured for the project

strictJobStatus
boolean

When true, QA runs only on jobs in a strict workflow status

userCanSetInstantQA
boolean

When true, users may configure instant QA themselves